package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.List;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;

/**
 * class RekamDataPegawaiVO
 * 
 * @author Lukman Hakim
 * 
 */
public class RekamDataPegawaiVO extends BaseTransactionVO {

	private Integer id;

	private String nip;

	private String nama;

	private KedudukanVO kedudukan;

	private NilaiKelompokJabatanVO detailKelompokJabatan;

	private PegawaiVO pegawaiPembimbing;

	private Integer pegawaiPembimbingId;

	private Integer kedudukanId;

	private Date tanggalMeninggal;

	private String idFinger;

	private String kodeGapokId;

	private Integer GolonganId;

	private GolonganPegawaiVO golonganPegawai;

	private Integer golonganPegawaiId;

	private Integer pensiun;

	private String tunjanganFungsional;

	private Integer tunjanganPapua;

	private Integer wilayahTerperinci;

	private Integer tunjanganUmum;

	private StatusPerkawinanVO statusKawin;

	private Integer statusKawinId;

	private String beras;

	private String sewaRumah;

	private String alamat;

	private String kodePos;

	private String bankRekeningAtasNama;

	private String kodeBank;

	private String bankRekeningNama;

	private String bankRekeningNomor;

	private AgamaVO agama;

	private Integer agamaId;

	private DetailKategoryPegawaiVO detailKategoryPegawai;

	private Integer detailKategoryPegawaiId;

	private DokumenVO dokumen;

	private Integer dokumenId;

	private EselonVO eselon;

	private Integer eselonId;

	private GolonganDarahVO golonganDarah;

	private SubUnitKerjaPegawaiVO unitKerja;

	private Integer golonganDarahId;

	private JabatanVO jabatanFungsional;

	private Integer jabatanFungsionalId;

	private JabatanVO jabatanInternal;

	private Integer jabatanInternalId;

	private JabatanVO jabatanLamar;

	private Integer jabatanLamarId;

	private JabatanVO jabatanStruktural;

	private Integer jabatanStrukturalId;

	private JenisKelaminVO jenisKelamin;

	private Integer jenisKelaminId;

	private JenisPegawaiVO jenisPegawai;

	private Integer jenisPegawaiId;

	private JenisPegawaiVO jenisPegawaiLamar;

	private Integer jenisPegawaiLamarId;

	private KualifikasiJurusanVO kualifikasiJurusan;

	private Integer kualifikasiJurusanId;

	private NegaraVO negara;

	private Integer negaraId;

	private PangkatVO pangkat;

	private Integer pangkatId;

	private PendidikanVO pendidikan;

	private Integer pendidikanId;

	private PenghasilanTidakKenaPajakVO penghasilanTidakKenaPajak;

	private Integer penghasilanTidakKenaPajakId;

	private String gelarDepan;

	private String gelarBelakang;

	private RangeVO range;

	private Integer rangeId;

	private RuanganVO ruangan;

	private Integer ruanganId;

	private KelompokShiftVO shiftKerja;

	private Integer shiftKerjaId;

	private KategoryPegawaiVO kategoryPegawai;

	private Integer kategoryPegawaiId;

	private StatusPegawaiVO statusPegawai;

	private Integer statusPegawaiId;

	private StatusPerkawinanPegawaiVO statusPerkawinanPegawai;

	private Integer statusPerkawinanPegawaiId;

	private SukuVO suku;

	private Integer sukuId;

	private TitlePasienVO titlePasien;

	private Integer titlePasienId;

	private TypePegawaiVO typePegawai;

	private Integer typePegawaiId;

	private String namaKeluarga;

	private String namaLengkap;

	private String namaPanggilan;

	private String nikIntern;

	private String nipPns;

	private String noIdentitas;

	private String noCm;

	private Integer noStruk_TTujuanLastId;

	private String npwp;

	private String photoDiri;

	private short qPegawai;

	private Byte qtyAnak;

	private Byte qtyTanggungan;

	private Byte qtyTotalJiwa;

	private String statusRhesus;

	private String tempatLahir;

	private Double totalNilaiScore;

	private String email;

	private String emailAlternatif;

	private String noTlp;

	private String noHandphone;

	private Date tglkeluar;

	private String noSip;

	private Date tglTerbitSip;

	private Date tglBerakhirSip;

	private String noStr;

	private Date tglTerbitStr;

	private Date tglBerakhirStr;

	private Date tglMasuk;

	private Date tglRetired;

	private Date tglLahir;

	private Date tglPensiun;

	private String noBPJS;

	private SatuanKerjaVO satuanKerja;

	private Integer satuanKerjaId;

	private RekananVO rekanan;

	private Integer rekananId;

	private PeriodePengajarVO periodePengajar;

	private String periodePengajarId;

	private Double grade;

	private Double nilaiJabatan;

	private LevelTingkatVO levelTingkat;

	private Boolean isMenanggung;

	private List<MapPegawaiJabatanToUnitKerjaVO> mappingJabatan;

	public Double getGrade() {
		return grade;
	}

	public void setGrade(Double grade) {
		this.grade = grade;
	}

	public Double getNilaiJabatan() {
		return nilaiJabatan;
	}

	public void setNilaiJabatan(Double nilaiJabatan) {
		this.nilaiJabatan = nilaiJabatan;
	}

	public NilaiKelompokJabatanVO getDetailKelompokJabatan() {
		return detailKelompokJabatan;
	}

	public void setDetailKelompokJabatan(NilaiKelompokJabatanVO detailKelompokJabatan) {
		this.detailKelompokJabatan = detailKelompokJabatan;
	}

	public String getNip() {
		return nip;
	}

	public void setNip(String nip) {
		this.nip = nip;
	}

	public String getNama() {
		return nama;
	}

	public void setNama(String nama) {
		this.nama = nama;
	}

	public KedudukanVO getKedudukan() {
		return kedudukan;
	}

	public void setKedudukan(KedudukanVO kedudukan) {
		this.kedudukan = kedudukan;
	}

	public Integer getKedudukanId() {
		return kedudukanId;
	}

	public void setKedudukanId(Integer kedudukanId) {
		this.kedudukanId = kedudukanId;
	}

	public Date getTanggalMeninggal() {
		return tanggalMeninggal;
	}

	public void setTanggalMeninggal(Date tanggalMeninggal) {
		this.tanggalMeninggal = tanggalMeninggal;
	}

	public String getIdFinger() {
		return idFinger;
	}

	public void setIdFinger(String idFinger) {
		this.idFinger = idFinger;
	}

	public String getKodeGapokId() {
		return kodeGapokId;
	}

	public void setKodeGapokId(String kodeGapokId) {
		this.kodeGapokId = kodeGapokId;
	}

	public Integer getGolonganId() {
		return GolonganId;
	}

	public void setGolonganId(Integer golonganId) {
		GolonganId = golonganId;
	}

	public GolonganPegawaiVO getGolonganPegawai() {
		return golonganPegawai;
	}

	public void setGolonganPegawai(GolonganPegawaiVO golonganPegawai) {
		this.golonganPegawai = golonganPegawai;
	}

	public Integer getGolonganPegawaiId() {
		return golonganPegawaiId;
	}

	public void setGolonganPegawaiId(Integer golonganPegawaiId) {
		this.golonganPegawaiId = golonganPegawaiId;
	}

	public Integer getPensiun() {
		return pensiun;
	}

	public void setPensiun(Integer pensiun) {
		this.pensiun = pensiun;
	}

	public String getTunjanganFungsional() {
		return tunjanganFungsional;
	}

	public void setTunjanganFungsional(String tunjanganFungsional) {
		this.tunjanganFungsional = tunjanganFungsional;
	}

	public Integer getTunjanganPapua() {
		return tunjanganPapua;
	}

	public void setTunjanganPapua(Integer tunjanganPapua) {
		this.tunjanganPapua = tunjanganPapua;
	}

	public Integer getWilayahTerperinci() {
		return wilayahTerperinci;
	}

	public void setWilayahTerperinci(Integer wilayahTerperinci) {
		this.wilayahTerperinci = wilayahTerperinci;
	}

	public Integer getTunjanganUmum() {
		return tunjanganUmum;
	}

	public void setTunjanganUmum(Integer tunjanganUmum) {
		this.tunjanganUmum = tunjanganUmum;
	}

	public StatusPerkawinanVO getStatusKawin() {
		return statusKawin;
	}

	public void setStatusKawin(StatusPerkawinanVO statusKawin) {
		this.statusKawin = statusKawin;
	}

	public Integer getStatusKawinId() {
		return statusKawinId;
	}

	public void setStatusKawinId(Integer statusKawinId) {
		this.statusKawinId = statusKawinId;
	}

	public String getBeras() {
		return beras;
	}

	public void setBeras(String beras) {
		this.beras = beras;
	}

	public String getSewaRumah() {
		return sewaRumah;
	}

	public void setSewaRumah(String sewaRumah) {
		this.sewaRumah = sewaRumah;
	}

	public String getAlamat() {
		return alamat;
	}

	public void setAlamat(String alamat) {
		this.alamat = alamat;
	}

	public String getKodePos() {
		return kodePos;
	}

	public void setKodePos(String kodePos) {
		this.kodePos = kodePos;
	}

	public String getBankRekeningAtasNama() {
		return bankRekeningAtasNama;
	}

	public void setBankRekeningAtasNama(String bankRekeningAtasNama) {
		this.bankRekeningAtasNama = bankRekeningAtasNama;
	}

	public String getKodeBank() {
		return kodeBank;
	}

	public void setKodeBank(String kodeBank) {
		this.kodeBank = kodeBank;
	}

	public String getBankRekeningNama() {
		return bankRekeningNama;
	}

	public void setBankRekeningNama(String bankRekeningNama) {
		this.bankRekeningNama = bankRekeningNama;
	}

	public String getBankRekeningNomor() {
		return bankRekeningNomor;
	}

	public void setBankRekeningNomor(String bankRekeningNomor) {
		this.bankRekeningNomor = bankRekeningNomor;
	}

	public AgamaVO getAgama() {
		return agama;
	}

	public void setAgama(AgamaVO agama) {
		this.agama = agama;
	}

	public Integer getAgamaId() {
		return agamaId;
	}

	public void setAgamaId(Integer agamaId) {
		this.agamaId = agamaId;
	}

	public DetailKategoryPegawaiVO getDetailKategoryPegawai() {
		return detailKategoryPegawai;
	}

	public void setDetailKategoryPegawai(DetailKategoryPegawaiVO detailKategoryPegawai) {
		this.detailKategoryPegawai = detailKategoryPegawai;
	}

	public Integer getDetailKategoryPegawaiId() {
		return detailKategoryPegawaiId;
	}

	public void setDetailKategoryPegawaiId(Integer detailKategoryPegawaiId) {
		this.detailKategoryPegawaiId = detailKategoryPegawaiId;
	}

	public DokumenVO getDokumen() {
		return dokumen;
	}

	public void setDokumen(DokumenVO dokumen) {
		this.dokumen = dokumen;
	}

	public Integer getDokumenId() {
		return dokumenId;
	}

	public void setDokumenId(Integer dokumenId) {
		this.dokumenId = dokumenId;
	}

	public EselonVO getEselon() {
		return eselon;
	}

	public void setEselon(EselonVO eselon) {
		this.eselon = eselon;
	}

	public Integer getEselonId() {
		return eselonId;
	}

	public void setEselonId(Integer eselonId) {
		this.eselonId = eselonId;
	}

	public GolonganDarahVO getGolonganDarah() {
		return golonganDarah;
	}

	public void setGolonganDarah(GolonganDarahVO golonganDarah) {
		this.golonganDarah = golonganDarah;
	}

	public Integer getGolonganDarahId() {
		return golonganDarahId;
	}

	public void setGolonganDarahId(Integer golonganDarahId) {
		this.golonganDarahId = golonganDarahId;
	}

	public JabatanVO getJabatanFungsional() {
		return jabatanFungsional;
	}

	public void setJabatanFungsional(JabatanVO jabatanFungsional) {
		this.jabatanFungsional = jabatanFungsional;
	}

	public Integer getJabatanFungsionalId() {
		return jabatanFungsionalId;
	}

	public void setJabatanFungsionalId(Integer jabatanFungsionalId) {
		this.jabatanFungsionalId = jabatanFungsionalId;
	}

	public JabatanVO getJabatanInternal() {
		return jabatanInternal;
	}

	public void setJabatanInternal(JabatanVO jabatanInternal) {
		this.jabatanInternal = jabatanInternal;
	}

	public Integer getJabatanInternalId() {
		return jabatanInternalId;
	}

	public void setJabatanInternalId(Integer jabatanInternalId) {
		this.jabatanInternalId = jabatanInternalId;
	}

	public JabatanVO getJabatanLamar() {
		return jabatanLamar;
	}

	public void setJabatanLamar(JabatanVO jabatanLamar) {
		this.jabatanLamar = jabatanLamar;
	}

	public Integer getJabatanLamarId() {
		return jabatanLamarId;
	}

	public void setJabatanLamarId(Integer jabatanLamarId) {
		this.jabatanLamarId = jabatanLamarId;
	}

	public JabatanVO getJabatanStruktural() {
		return jabatanStruktural;
	}

	public void setJabatanStruktural(JabatanVO jabatanStruktural) {
		this.jabatanStruktural = jabatanStruktural;
	}

	public Integer getJabatanStrukturalId() {
		return jabatanStrukturalId;
	}

	public void setJabatanStrukturalId(Integer jabatanStrukturalId) {
		this.jabatanStrukturalId = jabatanStrukturalId;
	}

	public JenisKelaminVO getJenisKelamin() {
		return jenisKelamin;
	}

	public void setJenisKelamin(JenisKelaminVO jenisKelamin) {
		this.jenisKelamin = jenisKelamin;
	}

	public Integer getJenisKelaminId() {
		return jenisKelaminId;
	}

	public void setJenisKelaminId(Integer jenisKelaminId) {
		this.jenisKelaminId = jenisKelaminId;
	}

	public JenisPegawaiVO getJenisPegawai() {
		return jenisPegawai;
	}

	public void setJenisPegawai(JenisPegawaiVO jenisPegawai) {
		this.jenisPegawai = jenisPegawai;
	}

	public Integer getJenisPegawaiId() {
		return jenisPegawaiId;
	}

	public void setJenisPegawaiId(Integer jenisPegawaiId) {
		this.jenisPegawaiId = jenisPegawaiId;
	}

	public JenisPegawaiVO getJenisPegawaiLamar() {
		return jenisPegawaiLamar;
	}

	public void setJenisPegawaiLamar(JenisPegawaiVO jenisPegawaiLamar) {
		this.jenisPegawaiLamar = jenisPegawaiLamar;
	}

	public Integer getJenisPegawaiLamarId() {
		return jenisPegawaiLamarId;
	}

	public void setJenisPegawaiLamarId(Integer jenisPegawaiLamarId) {
		this.jenisPegawaiLamarId = jenisPegawaiLamarId;
	}

	public KualifikasiJurusanVO getKualifikasiJurusan() {
		return kualifikasiJurusan;
	}

	public void setKualifikasiJurusan(KualifikasiJurusanVO kualifikasiJurusan) {
		this.kualifikasiJurusan = kualifikasiJurusan;
	}

	public Integer getKualifikasiJurusanId() {
		return kualifikasiJurusanId;
	}

	public void setKualifikasiJurusanId(Integer kualifikasiJurusanId) {
		this.kualifikasiJurusanId = kualifikasiJurusanId;
	}

	public NegaraVO getNegara() {
		return negara;
	}

	public void setNegara(NegaraVO negara) {
		this.negara = negara;
	}

	public Integer getNegaraId() {
		return negaraId;
	}

	public void setNegaraId(Integer negaraId) {
		this.negaraId = negaraId;
	}

	public PangkatVO getPangkat() {
		return pangkat;
	}

	public void setPangkat(PangkatVO pangkat) {
		this.pangkat = pangkat;
	}

	public Integer getPangkatId() {
		return pangkatId;
	}

	public void setPangkatId(Integer pangkatId) {
		this.pangkatId = pangkatId;
	}

	public PendidikanVO getPendidikan() {
		return pendidikan;
	}

	public void setPendidikan(PendidikanVO pendidikan) {
		this.pendidikan = pendidikan;
	}

	public Integer getPendidikanId() {
		return pendidikanId;
	}

	public void setPendidikanId(Integer pendidikanId) {
		this.pendidikanId = pendidikanId;
	}

	public PenghasilanTidakKenaPajakVO getPenghasilanTidakKenaPajak() {
		return penghasilanTidakKenaPajak;
	}

	public void setPenghasilanTidakKenaPajak(PenghasilanTidakKenaPajakVO penghasilanTidakKenaPajak) {
		this.penghasilanTidakKenaPajak = penghasilanTidakKenaPajak;
	}

	public Integer getPenghasilanTidakKenaPajakId() {
		return penghasilanTidakKenaPajakId;
	}

	public void setPenghasilanTidakKenaPajakId(Integer penghasilanTidakKenaPajakId) {
		this.penghasilanTidakKenaPajakId = penghasilanTidakKenaPajakId;
	}

	public RangeVO getRange() {
		return range;
	}

	public void setRange(RangeVO range) {
		this.range = range;
	}

	public Integer getRangeId() {
		return rangeId;
	}

	public void setRangeId(Integer rangeId) {
		this.rangeId = rangeId;
	}

	public RuanganVO getRuangan() {
		return ruangan;
	}

	public void setRuangan(RuanganVO ruangan) {
		this.ruangan = ruangan;
	}

	public Integer getRuanganId() {
		return ruanganId;
	}

	public void setRuanganId(Integer ruanganId) {
		this.ruanganId = ruanganId;
	}

	public KelompokShiftVO getShiftKerja() {
		return shiftKerja;
	}

	public void setShiftKerja(KelompokShiftVO shiftKerja) {
		this.shiftKerja = shiftKerja;
	}

	public Integer getShiftKerjaId() {
		return shiftKerjaId;
	}

	public void setShiftKerjaId(Integer shiftKerjaId) {
		this.shiftKerjaId = shiftKerjaId;
	}

	public KategoryPegawaiVO getKategoryPegawai() {
		return kategoryPegawai;
	}

	public void setKategoryPegawai(KategoryPegawaiVO kategoryPegawai) {
		this.kategoryPegawai = kategoryPegawai;
	}

	public Integer getKategoryPegawaiId() {
		return kategoryPegawaiId;
	}

	public void setKategoryPegawaiId(Integer kategoryPegawaiId) {
		this.kategoryPegawaiId = kategoryPegawaiId;
	}

	public StatusPegawaiVO getStatusPegawai() {
		return statusPegawai;
	}

	public void setStatusPegawai(StatusPegawaiVO statusPegawai) {
		this.statusPegawai = statusPegawai;
	}

	public Integer getStatusPegawaiId() {
		return statusPegawaiId;
	}

	public void setStatusPegawaiId(Integer statusPegawaiId) {
		this.statusPegawaiId = statusPegawaiId;
	}

	public StatusPerkawinanPegawaiVO getStatusPerkawinanPegawai() {
		return statusPerkawinanPegawai;
	}

	public void setStatusPerkawinanPegawai(StatusPerkawinanPegawaiVO statusPerkawinanPegawai) {
		this.statusPerkawinanPegawai = statusPerkawinanPegawai;
	}

	public Integer getStatusPerkawinanPegawaiId() {
		return statusPerkawinanPegawaiId;
	}

	public void setStatusPerkawinanPegawaiId(Integer statusPerkawinanPegawaiId) {
		this.statusPerkawinanPegawaiId = statusPerkawinanPegawaiId;
	}

	public SukuVO getSuku() {
		return suku;
	}

	public void setSuku(SukuVO suku) {
		this.suku = suku;
	}

	public Integer getSukuId() {
		return sukuId;
	}

	public void setSukuId(Integer sukuId) {
		this.sukuId = sukuId;
	}

	public TitlePasienVO getTitlePasien() {
		return titlePasien;
	}

	public void setTitlePasien(TitlePasienVO titlePasien) {
		this.titlePasien = titlePasien;
	}

	public Integer getTitlePasienId() {
		return titlePasienId;
	}

	public void setTitlePasienId(Integer titlePasienId) {
		this.titlePasienId = titlePasienId;
	}

	public TypePegawaiVO getTypePegawai() {
		return typePegawai;
	}

	public void setTypePegawai(TypePegawaiVO typePegawai) {
		this.typePegawai = typePegawai;
	}

	public Integer getTypePegawaiId() {
		return typePegawaiId;
	}

	public void setTypePegawaiId(Integer typePegawaiId) {
		this.typePegawaiId = typePegawaiId;
	}

	public String getNamaKeluarga() {
		return namaKeluarga;
	}

	public void setNamaKeluarga(String namaKeluarga) {
		this.namaKeluarga = namaKeluarga;
	}

	public String getNamaLengkap() {
		return namaLengkap;
	}

	public void setNamaLengkap(String namaLengkap) {
		this.namaLengkap = namaLengkap;
	}

	public String getNamaPanggilan() {
		return namaPanggilan;
	}

	public void setNamaPanggilan(String namaPanggilan) {
		this.namaPanggilan = namaPanggilan;
	}

	public String getNikIntern() {
		return nikIntern;
	}

	public void setNikIntern(String nikIntern) {
		this.nikIntern = nikIntern;
	}

	public String getNipPns() {
		return nipPns;
	}

	public void setNipPns(String nipPns) {
		this.nipPns = nipPns;
	}

	public String getNoIdentitas() {
		return noIdentitas;
	}

	public void setNoIdentitas(String noIdentitas) {
		this.noIdentitas = noIdentitas;
	}

	public String getNoCm() {
		return noCm;
	}

	public void setNoCm(String noCm) {
		this.noCm = noCm;
	}

	public Integer getNoStruk_TTujuanLastId() {
		return noStruk_TTujuanLastId;
	}

	public void setNoStruk_TTujuanLastId(Integer noStruk_TTujuanLastId) {
		this.noStruk_TTujuanLastId = noStruk_TTujuanLastId;
	}

	public String getNpwp() {
		return npwp;
	}

	public void setNpwp(String npwp) {
		this.npwp = npwp;
	}

	public String getPhotoDiri() {
		return photoDiri;
	}

	public void setPhotoDiri(String photoDiri) {
		this.photoDiri = photoDiri;
	}

	public short getqPegawai() {
		return qPegawai;
	}

	public void setqPegawai(short qPegawai) {
		this.qPegawai = qPegawai;
	}

	public Byte getQtyAnak() {
		return qtyAnak;
	}

	public void setQtyAnak(Byte qtyAnak) {
		this.qtyAnak = qtyAnak;
	}

	public Byte getQtyTanggungan() {
		return qtyTanggungan;
	}

	public void setQtyTanggungan(Byte qtyTanggungan) {
		this.qtyTanggungan = qtyTanggungan;
	}

	public Byte getQtyTotalJiwa() {
		return qtyTotalJiwa;
	}

	public void setQtyTotalJiwa(Byte qtyTotalJiwa) {
		this.qtyTotalJiwa = qtyTotalJiwa;
	}

	public String getStatusRhesus() {
		return statusRhesus;
	}

	public void setStatusRhesus(String statusRhesus) {
		this.statusRhesus = statusRhesus;
	}

	public String getTempatLahir() {
		return tempatLahir;
	}

	public void setTempatLahir(String tempatLahir) {
		this.tempatLahir = tempatLahir;
	}

	public Double getTotalNilaiScore() {
		return totalNilaiScore;
	}

	public void setTotalNilaiScore(Double totalNilaiScore) {
		this.totalNilaiScore = totalNilaiScore;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getEmailAlternatif() {
		return emailAlternatif;
	}

	public void setEmailAlternatif(String emailAlternatif) {
		this.emailAlternatif = emailAlternatif;
	}

	public String getNoTlp() {
		return noTlp;
	}

	public void setNoTlp(String noTlp) {
		this.noTlp = noTlp;
	}

	public String getNoHandphone() {
		return noHandphone;
	}

	public void setNoHandphone(String noHandphone) {
		this.noHandphone = noHandphone;
	}

	public Date getTglkeluar() {
		return tglkeluar;
	}

	public void setTglkeluar(Date tglkeluar) {
		this.tglkeluar = tglkeluar;
	}

	public Date getTglMasuk() {
		return tglMasuk;
	}

	public void setTglMasuk(Date tglMasuk) {
		this.tglMasuk = tglMasuk;
	}

	public Date getTglLahir() {
		return tglLahir;
	}

	public void setTglLahir(Date tglLahir) {
		this.tglLahir = tglLahir;
	}

	public String getNoBPJS() {
		return noBPJS;
	}

	public void setNoBPJS(String noBPJS) {
		this.noBPJS = noBPJS;
	}

	public SatuanKerjaVO getSatuanKerja() {
		return satuanKerja;
	}

	public void setSatuanKerja(SatuanKerjaVO satuanKerja) {
		this.satuanKerja = satuanKerja;
	}

	public Integer getSatuanKerjaId() {
		return satuanKerjaId;
	}

	public void setSatuanKerjaId(Integer satuanKerjaId) {
		this.satuanKerjaId = satuanKerjaId;
	}

	public RekananVO getRekanan() {
		return rekanan;
	}

	public void setRekanan(RekananVO rekanan) {
		this.rekanan = rekanan;
	}

	public Integer getRekananId() {
		return rekananId;
	}

	public void setRekananId(Integer rekananId) {
		this.rekananId = rekananId;
	}

	public PeriodePengajarVO getPeriodePengajar() {
		return periodePengajar;
	}

	public void setPeriodePengajar(PeriodePengajarVO periodePengajar) {
		this.periodePengajar = periodePengajar;
	}

	public String getPeriodePengajarId() {
		return periodePengajarId;
	}

	public void setPeriodePengajarId(String periodePengajarId) {
		this.periodePengajarId = periodePengajarId;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public SubUnitKerjaPegawaiVO getUnitKerja() {
		return unitKerja;
	}

	public void setUnitKerja(SubUnitKerjaPegawaiVO unitKerja) {
		this.unitKerja = unitKerja;
	}

	public Date getTglPensiun() {
		return tglPensiun;
	}

	public Date getTglRetired() {
		return tglRetired;
	}

	public void setTglRetired(Date tglRetired) {
		this.tglRetired = tglRetired;
	}

	public void setTglPensiun(Date tglPensiun) {
		this.tglPensiun = tglPensiun;
	}

	public String getGelarDepan() {
		return gelarDepan;
	}

	public void setGelarDepan(String gelarDepan) {
		this.gelarDepan = gelarDepan;
	}

	public String getGelarBelakang() {
		return gelarBelakang;
	}

	public void setGelarBelakang(String gelarBelakang) {
		this.gelarBelakang = gelarBelakang;
	}

	public String getNoSip() {
		return noSip;
	}

	public void setNoSip(String noSip) {
		this.noSip = noSip;
	}

	public Date getTglTerbitSip() {
		return tglTerbitSip;
	}

	public void setTglTerbitSip(Date tglTerbitSip) {
		this.tglTerbitSip = tglTerbitSip;
	}

	public Date getTglBerakhirSip() {
		return tglBerakhirSip;
	}

	public void setTglBerakhirSip(Date tglBerakhirSip) {
		this.tglBerakhirSip = tglBerakhirSip;
	}

	public String getNoStr() {
		return noStr;
	}

	public void setNoStr(String noStr) {
		this.noStr = noStr;
	}

	public Date getTglTerbitStr() {
		return tglTerbitStr;
	}

	public void setTglTerbitStr(Date tglTerbitStr) {
		this.tglTerbitStr = tglTerbitStr;
	}

	public Date getTglBerakhirStr() {
		return tglBerakhirStr;
	}

	public void setTglBerakhirStr(Date tglBerakhirStr) {
		this.tglBerakhirStr = tglBerakhirStr;
	}

	public LevelTingkatVO getLevelTingkat() {
		return levelTingkat;
	}

	public void setLevelTingkat(LevelTingkatVO levelTingkat) {
		this.levelTingkat = levelTingkat;
	}

	public Boolean getIsMenanggung() {
		return isMenanggung;
	}

	public void setIsMenanggung(Boolean isMenanggung) {
		this.isMenanggung = isMenanggung;
	}

	public PegawaiVO getPegawaiPembimbing() {
		return pegawaiPembimbing;
	}

	public void setPegawaiPembimbing(PegawaiVO pegawaiPembimbing) {
		this.pegawaiPembimbing = pegawaiPembimbing;
	}

	public Integer getPegawaiPembimbingId() {
		return pegawaiPembimbingId;
	}

	public void setPegawaiPembimbingId(Integer pegawaiPembimbingId) {
		this.pegawaiPembimbingId = pegawaiPembimbingId;
	}

	public List<MapPegawaiJabatanToUnitKerjaVO> getMappingJabatan() {
		return mappingJabatan;
	}

	public void setMappingJabatan(List<MapPegawaiJabatanToUnitKerjaVO> mappingJabatan) {
		this.mappingJabatan = mappingJabatan;
	}

}